--- /dev/null
+include ../../build/config.mk
+include ../../build/module.mk
--- /dev/null
+#!/bin/sh
+[ -n "${IPKG_INSTROOT}" ] || {
+ ( . /etc/uci-defaults/luci-ushare ) && rm -f /etc/uci-defaults/luci-ushare
+}
--- /dev/null
+--[[
+
+LuCI uShare
+(c) 2008 Yanira <forum-2008@email.de>
+
+Licensed under the Apache License, Version 2.0 (the "License");
+you may not use this file except in compliance with the License.
+You may obtain a copy of the License at
+
+ http://www.apache.org/licenses/LICENSE-2.0
+
+$Id$
+
+]]--
+
+module("luci.controller.ushare", package.seeall)
+
+function index()
+ require("luci.i18n")
+ luci.i18n.loadc("ushare")
+ if not luci.fs.isfile("/etc/config/ushare") then
+ return
+ end
+
+ local page = entry({"admin", "services", "ushare"}, cbi("ushare"), luci.i18n.translate("ushare", "uShare"), 60)
+ page.i18n = "uvc_streamer"
+ page.dependent = true
+end
--- /dev/null
+settings = 'Settings'
+ushare = 'uShare'
+ushare_desc = 'uShare'
--- /dev/null
+--[[
+
+LuCI uShare
+(c) 2008 Yanira <forum-2008@email.de>
+
+Licensed under the Apache License, Version 2.0 (the "License");
+you may not use this file except in compliance with the License.
+You may obtain a copy of the License at
+
+ http://www.apache.org/licenses/LICENSE-2.0
+
+$Id$
+
+]]--
+
+m = Map("ushare", translate("ushare"),
+ translatef("ushare_desc"))
+
+s = m:section(TypedSection, "ushare", translate("settings"))
+s.addremove = false
+s.anonymous = true
+
+s:option(Flag, "enabled", translate("enabled", "Enable"))
+
+s:option(Value, "username", translate("username"))
+
+s:option(Value, "servername", translate("servername"))
+
+dif = s:option( Value, "interface", translate("interface"))
+for _, nif in ipairs(luci.sys.net.devices()) do
+ if nif ~= "lo" then dif:value(nif) end
+end
+
+s:option(Value, "content_directories", translate("content_directories"))
+
+s:option(Value, "options", translate("options"))
+
+return m
--- /dev/null
+#!/bin/sh
+
+uci batch <<-EOF
+ add ucitrack ushare
+ set ucitrack.@ushare[-1].init=ushare
+ commit ucitrack
+EOF
endef
+define Package/luci-app-ushare
+ $(call Package/luci/webtemplate)
+ DEPENDS+=+luci-admin-full +ushare
+ TITLE:=ushare - UPnP A/V & DLNA Media Server
+endef
+
+define Package/luci-app-ushare/install
+ $(call Package/luci/install/template,$(1),applications/luci-ushare)
+endef
+
+
### Server Gateway Interfaces ###
define Package/luci-sgi-cgi
ifneq ($(CONFIG_PACKAGE_luci-app-p910nd),)
PKG_SELECTED_MODULES+=applications/luci-p910nd
endif
+ifneq ($(CONFIG_PACKAGE_luci-app-ushare),)
+ PKG_SELECTED_MODULES+=applications/luci-ushare
+endif
ifneq ($(CONFIG_PACKAGE_luci-sgi-cgi),)
$(eval $(call BuildPackage,luci-app-samba))
$(eval $(call BuildPackage,luci-app-uvc_streamer))
$(eval $(call BuildPackage,luci-app-p910nd))
+$(eval $(call BuildPackage,luci-app-ushare))
$(eval $(call BuildPackage,luci-sgi-cgi))